%define modname IO-Compress
%define upstream_version 2.081

Summary:	IO Interface to compressed data files/buffers
Name:		perl-%{modname}
Version:	%perl_convert_version %{upstream_version}
Release:	1
License:	GPLv2+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{modname}
Source0:	http://www.cpan.org/modules/by-module/IO/%{modname}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel
# perl provides this one unversionned
BuildRequires:	perl(Compress::Raw::Bzip2) >= %{version}
BuildRequires:	perl(Compress::Raw::Zlib) >= %{version}
BuildArch:	noarch

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the zlib and bzip2 libraries.

IO-Compress supports reading and writing of bzip2, RFC 1950, RFC
1951, RFC 1952 (i.e. gzip) and zip files/buffers.

%files
%doc Changes README
%{_bindir}/zipdetails
%{perl_vendorlib}/Compress
%{perl_vendorlib}/File
%{perl_vendorlib}/IO
%{_mandir}/man1/zipdetails.1*
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{modname}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%check
%make test

%changelog

* Tue Jun 19 2018 dsilakov <denis.silakov@rosalab.ru> 2.81.0-1
- (ca4a005) Merge pull request #5 from import/perl-IO-Compress:auto_update
- (ca4a005) Updated to 2.081 (by updates_builder)


